<?php

namespace Drupal\system_status\Services;

/**
 * Encryption logic for system_status.
 */
class SystemStatusEncryption {

  /**
   * System Status: create a new token.
   */
  public static function getToken() {
    $chars = array_merge(range(0, 9),
      range('a', 'z'),
      range('A', 'Z'),
      range(0, 99));

    shuffle($chars);

    $token = "";
    for ($i = 0; $i < 8; $i++) {
      $token .= $chars[$i];
    }

    return $token;
  }

  /**
   * System Status: encrypt a plaintext message using openssl.
   */
  public static function encryptOpenssl($plaintext) {
    $encrypt_token = \Drupal::config('system_status.settings')->get('system_status_encrypt_token');
    $key = hash("SHA256", $encrypt_token, TRUE);
    $source_encoding = mb_detect_encoding($plaintext, mb_detect_order(), TRUE);
    // Default to a common encoding if detection fails.
    if ($source_encoding === FALSE) {
      $source_encoding = 'ISO-8859-1';
    }
    $plaintext_utf8 = mb_convert_encoding($plaintext, 'UTF-8', $source_encoding);

    $iv = openssl_random_pseudo_bytes(16);
    $cyphertext = openssl_encrypt($plaintext_utf8, 'AES-128-CBC', $key, OPENSSL_RAW_DATA, $iv);

    return base64_encode($iv . $cyphertext);
  }

}
